package org.colcon.web.client;

import org.colcon.burocrat.api.client.IClient;
import org.colcon.burocrat.api.client.IPageImpl;
import org.colcon.burocrat.client.ui.BurocratPage;
import org.colcon.web.client.pages.HomePage;
import org.colcon.web.client.pages.VotesPage;

public enum AppPageImpl implements IPageImpl 
{
	HOME
	{
		public BurocratPage buildPage(IClient client) 
		{
			return new HomePage(client);
		}
	},
	
	VOTES
	{
		public BurocratPage buildPage(IClient client) 
		{
			return new VotesPage(client);
		}
	};
	
	public static IPageImpl[] getValues()
	{
		return (IPageImpl[])values();
	}
}
