package org.colcon.web.client;

import org.colcon.burocrat.api.client.IClient;
import org.colcon.burocrat.client.Widgets;
import org.colcon.burocrat.client.ui.FooterPanel;
import org.colcon.burocrat.client.ui.HeaderPanel;
import org.colcon.web.client.ui.AppFooterPanel;
import org.colcon.web.client.ui.AppHeaderPanel;

import com.google.gwt.user.client.ui.HTML;

public class AppWidgets extends Widgets 
{
	public HeaderPanel buildHeader(IClient client)
	{
		return new AppHeaderPanel(client);
	}
	
	public FooterPanel buildFooter(IClient client)
	{
		return new AppFooterPanel(client);
	}
	public HTML buildHR(){
		HTML rule = new HTML("<hr>");
		rule.setStyleName("hrule");
		return rule;
	}
}
