/**
 * 
 */
package org.colcon.web.client.pages;

import org.colcon.burocrat.api.client.IClient;
import org.colcon.burocrat.api.model.IResponse;
import org.colcon.burocrat.client.ui.BurocratPage;

import com.google.gwt.user.client.ui.HTML;

/**
 * @author Jesse
 *
 */
public class HomePage extends BurocratPage
{
	/**
	 * @param client
	 */
	public HomePage(IClient client)
	{
		super(client);
	}
	
	public void init(IResponse data)
	{
		super.init(data);
		
		add(new HTML(html));
	}
	
	private static final String html = 
			
			"<!doctype html>" + 
					"" + 
					"<html>" + 
					"	<head>" + 
					"		<meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">" + 
					"		<link href='http://fonts.googleapis.com/css?family=Rokkitt:700' rel='stylesheet' type='text/css'>" + 
					"	</head>" + 
					"" + 
					"	<body>" + 
					"		<div align=\"center\" style=\"background: url(img/background.png) no-repeat center bottom fixed; \">" + 
					"			<table border=\"0\">" + 
					"				<tr>" + 
					"				  <td><img style=\"border-radius: 10px; box-shadow: 3px 3px 3px #777;\" src=\"img/democracy_poster.png\"></td>" + 
					"				  <td>" + 
					"					  <div style=\"padding: 10px;\" align=\"center\">" + 
					"					  " + 
					"					  	<h1 style=\"padding: 0px; Margin: 50px 0px 0px 0px; font-size: 72px; font-family: 'Rokkitt'; color: #373737;\">Collective <span style=\"color: rgb(136,0,21);\">Congress</span></h1>" + 
					"					  	" + 
					"					  	<p>TOTUM MAIOR SUMMA PARTUM</p>" + 
					"					  " + 
					"					  	<p><b>Welcome to Collective Congress, a social network powered by democracy</b></p>" + 
					"					  	<p>Users can form groups, and each group can customize it's own decision-making process</p>" + 
					"					  	<p>All admins and moderators are chosen democratically by their group</p>" + 
					"					  	<p>All data can be modified directly by voting</p>" + 
					"					  	<p><b>Beta version coming soon</b></p>" + 
					"					  	" + 
					"					  	<div class=\"ss-form-container\"><div class=\"ss-top-of-page\">" + 
					"					  	<div class=\"ss-form\">" + 
					"							<form action=\"https://docs.google.com/forms/d/1R9rPPz08v_TfFg3wxbDJeHnE2O-_pNLtDbTZ07FTMn4/formResponse\" method=\"POST\" id=\"ss-form\" target=\"_parent\" onsubmit=\"\">" + 
					"								<div class=\"errorbox-good\">" + 
					"								<div dir=\"ltr\" class=\"ss-item  ss-text\">" + 
					"								<div class=\"ss-form-entry\">" + 
					"									<label class=\"ss-q-item-label\" for=\"entry_1069686621\">" + 
					"										Submit your email here to sign up for the beta" + 
					"									</label><br>" + 
					"									<input type=\"text\" name=\"entry.1069686621\" value=\"\" class=\"ss-q-short\" id=\"entry_1069686621\" dir=\"auto\">" + 
					"									<input type=\"submit\" name=\"submit\" value=\"Submit\" id=\"ss-submit\">" + 
					"								</div>" + 
					"								</div>" + 
					"								</div>" + 
					"								<input type=\"hidden\" name=\"draftResponse\" value=\"[]\">" + 
					"								<input type=\"hidden\" name=\"pageHistory\" value=\"0\">" + 
					"							</form>" + 
					"						</div>" + 
					"					  	</div>" + 
					"					  	</div>" + 
					"					  	" + 
					"					  	<p><b>In the meantime, check out our <a href=\"http://www.collectivecongress.com/#votes\">public votes page</a></b></p>" + 
					"					  	" + 
					"					  </div>	" + 
					"				  </td>" + 
					"				</tr>	" + 
					"					" + 
					"				<tr>" + 
					"					<td align=\"center\">" + 
					"						<p>" + 
					"							<a href=\"mailto:colcongress@gmail.com\" target=\"_parent\"><img src=\"img/email_icon.jpeg\"></a>" + 
					"							<a href=\"https://github.com/collective-congress/collective-congress\" target=\"_parent\"><img src=\"img/github_icon.jpg\"></a>" + 
					"							<a href=\"http://collectivecongress.blogspot.com/\" target=\"_parent\"><img src=\"img/blogger_icon.png\"></a>" + 
					"							<a href=\"https://www.facebook.com/collectivecongress\" target=\"_parent\"><img src=\"img/facebook_icon.png\"></a>" + 
					"							<a href=\"https://plus.google.com/u/0/b/113299224030867517005/113299224030867517005/posts\" target=\"_parent\"><img src=\"img/google_plus_icon.png\"></a>" + 
					"						</p>" + 
					"							" + 
					"						<p><a href=\"http://rcos.rpi.edu\" target=\"_parent\"><img src=\"img/rcos_logo.png\"></a></p>" + 
					"					</td>" + 
					"					" + 
					"				</tr>" + 
					"				" + 
					"			</table>" + 
					"			" + 
					"		</div>" + 
					"	</body>" + 
					"</html>"

			;
}
