package org.colcon.web.server;

import javax.servlet.ServletException;

import org.colcon.burocrat.model.Model;
import org.colcon.burocrat.server.BurocratServiceImpl;
import org.colcon.burocrat.server.Server;
import org.colcon.web.model.AppModel;

/**
 * The server side implementation of the RPC service.
 */
@SuppressWarnings("serial")
public class ColConServiceImpl extends BurocratServiceImpl 
{
	public void init() throws ServletException
	{
		super.init();
		
		Model.instance = AppModel.instance;
		Server.instance = AppServer.instance;
		
		Server.instance.init();
	}
}
