package org.colcon.burocrat.api.client;

import org.colcon.burocrat.api.model.IArg;
import org.colcon.burocrat.api.model.IItem;
import org.colcon.burocrat.client.BurocratField;
import org.colcon.burocrat.client.item.ItemPage;
import org.colcon.burocrat.client.ui.FooterPanel;
import org.colcon.burocrat.client.ui.HeaderPanel;

import com.google.gwt.user.client.ui.HTML;

public interface IWidgets 
{
	public HTML loading();
	public HTML error();
	
	public HeaderPanel buildHeader(IClient client);
	public FooterPanel buildFooter(IClient client);
	
	public ItemPage buildItemPage(IClient client, IItem item);
	public BurocratField buildField(IClient client, IArg arg);
}
