package org.colcon.burocrat.api.model;

import org.colcon.burocrat.api.model.IArg;
import org.colcon.burocrat.api.model.ICmd;
import org.colcon.burocrat.api.model.IItem;
import org.colcon.burocrat.api.model.IItemType;
import org.colcon.burocrat.api.model.IParser;

public interface IModel 
{
	public IArg[]		getArgs();
	public ICmd[]		getCmds();
	public IItemType[]	getItemTypes();
	
	public IArg			getArg(String name);
	public ICmd			getCmd(String name);
	public IItemType	getItemType(String name);
	
	public IItem[]		getInitItems();
	
	public IParser		parser();
}
