package org.colcon.burocrat.api.server;

import java.util.List;
import java.util.Map;

public interface IDatabase 
{
	public void init();
	
	public Map<String, String> get(String path);
	public void post(Map<String, String> args);
	public void put(Map<String, String> args);
	public void delete(String path);
	
	public List<Map<String, String>> query (String parent, int limit, int offset, String sort, boolean ascending, Map<String, String> filters);
}
