package org.colcon.burocrat.client.pages;

import org.colcon.burocrat.api.client.IClient;
import org.colcon.burocrat.api.model.IResponse;
import org.colcon.burocrat.client.ui.BurocratPage;

import com.google.gwt.user.client.ui.HTML;

/**
 * 
 * This is the default page that is displayed when the site loads. 
 * The HTML defined in this class was generated using JavaStringFactory.
 * 
 * @author Dan Vegeto
 *
 */
public class HomePage extends BurocratPage
{
	public HomePage(IClient client) 
	{
		super(client);
	}

	public void init(IResponse data)
	{
		super.init(data);
	
		add(new HTML(html));
	}
	
	private static final String html =
			
					"<!doctype html>" + 
					"<html>" + 
					"  <head>" + 
					"    <meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\" target=\"_parent\">" + 
					"  </head>" + 
					"" + 
					"  <body>" + 
					"	    " + 
					"		<p><img src=\"img/burocrat.jpg\" target=\"_parent\"></p>" + 
					"		" + 
					"		<p><b>Burocrat does all the boring stuff for you!</b></p>" + 
					"		" + 
					"		<p>Burocrat is a web development framework built on top of Google Web Toolkit that allows developers to efficiently implement complex web applications at a high level of abstraction</p>" + 
					"		" + 
					"		<p>Burocrat was created in 2012 as the code foundation for <a href=\"http://www.collectivecongress.com/\" target=\"_parent\">Collective Congress</a>, a project of the <a href=\"http://rcos.rpi.edu/\">Rensselaer Center for Open-Source Software (RCOS)</a> .</p>" + 
					"		" + 
					"		<p><a href=\"https://github.com/collective-congress/burocrat\" target=\"_parent\">Source code</a> is available under the <a href=\"http://www.gnu.org/licenses/gpl-3.0.html\">General Public License (GPLv3)</a>.</p>" + 
					"" + 
					"  </body>" + 
					"</html>"
					
					;

}
