package org.colcon.burocrat.client.ui;

import org.colcon.burocrat.api.client.IClient;
import org.colcon.burocrat.api.model.IResponse;

/**
 * 
 * This is the part of the header for user account controls
 * 
 * @author Dan Vegeto
 *
 */
public class UserHeaderPanel extends BurocratPanel
{
	public UserHeaderPanel(IClient client) 
	{
		super(client);
	}

	public void init(IResponse data) 
	{
		if(getClient().isLoggedIn())
			add(new LoggedInPanel(getClient()));
		else
			add(new LoginPanel(getClient()));
	}
}
