package org.colcon.burocrat.server;

import org.colcon.burocrat.api.server.IArgImpl;

/**
 * 
 * These are argument implementations, allowing server-side code to be 
 * associated with a specific argument
 * 
 * @author Dan Vegeto
 *
 */
public enum ArgImpl implements IArgImpl
{
	;
	
	public boolean validate(String value)
	{
		return true;
	}
	
	public static IArgImpl[] getValues()
	{
		return (IArgImpl[])values();
	}
}
