package org.colcon.web.client.ui;

import org.colcon.burocrat.api.client.IClient;
import org.colcon.burocrat.api.model.IResponse;
import org.colcon.burocrat.client.ui.BurocratPanel;

public class UserHeaderPanel extends BurocratPanel
{
	public UserHeaderPanel(IClient client) 
	{
		super(client);
	}

	public void init(IResponse data) 
	{
		if(getClient().isLoggedIn())
			add(new LoggedInPanel(getClient()));
		else
			add(new LoginPanel(getClient()));
	}
}
