package org.colcon.burocrat.api.model;

import java.util.Map;

public interface IArgList 
{
	public IArg[] getArgs();
	public boolean[] getRequired();
	
	public IArgDependency getArgDependency();
	public IValueDependency getValueDependency();
	
	public int size();
	public IArg getArg(int i);
	public boolean isRequired(int i);
	
	public int getArgIndex(IArg arg);
	public boolean isRequired(IArg arg);
	
	public IResponse validate(Map<IArg, String> args);
	public Map<IArg, String> withArgs(Object... values);
	
	public IArgList append(IArgList argList);
}
