package org.colcon.burocrat.api.model;

public interface IItem extends IArgObject
{
	public String getParent();
	public String getId();
	
	public String getCreationTime();
	public String getAccessTime();
	public String getModificationTime();
	
	public IItemType getType();
	public IItem[] getInitItems();
	
	public boolean isPublic();
	public boolean isRoot();
	public String getPath();
	
	public void init();
	public void access();
	public void modify();
}
